<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8" />
  <meta http-equiv="X-UA-Compatible" content="IE=edge" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>employee_CRUD</title>
  <!-- Google Font: Source Sans Pro -->
  <link rel="stylesheet"
    href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback" />
  <!-- Font Awesome -->
  <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css" />
  <!-- DataTables -->
  <link rel="stylesheet" href="plugins/datatables-bs4/css/dataTables.bootstrap4.min.css" />
  <link rel="stylesheet" href="plugins/datatables-responsive/css/responsive.bootstrap4.min.css" />
  <link rel="stylesheet" href="plugins/datatables-buttons/css/buttons.bootstrap4.min.css" />
  <!-- SweetAlert2 -->
  <link rel="stylesheet" href="plugins/sweetalert2-theme-bootstrap-4/bootstrap-4.min.css">
  <!-- Toastr -->
  <link rel="stylesheet" href="plugins/toastr/toastr.min.css">


  <!-- Theme style -->
  <link rel="stylesheet" href="dist/css/adminlte.min.css" />
  <style>
    i {
      cursor: pointer;
    }
  </style>
</head>

<body>
  <div class="wrapper">
    <!-- Preloader -->
    <div class="preloader flex-column justify-content-center align-items-center">
      <img class="animation__shake" src="dist/img/AdminLTELogo.png" alt="AdminLTELogo" height="60" width="60" />
    </div>
    <!-- Navbar -->
    <nav class="main-header navbar navbar-expand navbar-white navbar-light">
      <!-- Left navbar links -->
      <ul class="navbar-nav">
        <li class="nav-item">
          <a class="nav-link" data-widget="pushmenu" href="#" role="button"><i class="fas fa-bars"></i></a>
        </li>
        <li class="nav-item d-none d-sm-inline-block">
          <a href="#" class="nav-link">Home</a>
        </li>
      </ul>

      <!-- Right navbar links -->
      <ul class="navbar-nav ml-auto">
        <li class="nav-item">
          <a class="nav-link" data-widget="fullscreen" href="#" role="button">
            <i class="fas fa-expand-arrows-alt"></i>
          </a>
        </li>
      </ul>
    </nav>
    <!-- /.navbar -->
    <!-- Main Sidebar Container -->
    <aside class="main-sidebar sidebar-dark-primary elevation-4">
      <!-- Sidebar -->
      <div class="sidebar">
        <!-- Sidebar user panel (optional) -->
        <div class="user-panel mt-3 pb-3 mb-3 d-flex">
          <div class="info">
            <a href="#" class="d-block text-center">DEV CAMP</a>
          </div>
        </div>
        <!-- Sidebar Menu -->
        <nav class="mt-2">
          <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
            <!-- Add icons to the links using the .nav-icon class
         with font-awesome or any other icon font library -->
            <li class="nav-item menu-open">
              <a href="#" class="nav-link active">
                <i class="nav-icon fas fa-th"></i>
                <p>
                  Manage
                  <i class="right fas fa-angle-left"></i>
                </p>
              </a>
              <ul class="nav nav-treeview">
                <li class="nav-item">
                  <a href="./department.html" class="nav-link ">
                    <i class="far fa-circle nav-icon"></i>
                    <p>Department</p>
                  </a>
                </li>
                <li class="nav-item">
                  <a href="./employee.html" class="nav-link active">
                    <i class="far fa-circle nav-icon"></i>
                    <p>Employee</p>
                  </a>
                </li>
              </ul>
            </li>
            <li class="nav-item">
            </li>
          </ul>
        </nav>
        <!-- /.sidebar-menu -->
      </div>
      <!-- /.sidebar -->
    </aside>
    <!-- Content Wrapper. Contains page content -->
    <div class="content-wrapper">
      <!-- Content Header (Page header) -->
      <div class="content-header">
        <div class="container-fluid">
          <div class="row mb-2">
            <div class="col-sm-6">
              <h1 class="m-0">Employee</h1>
            </div><!-- /.col -->
            <div class="col-sm-6">
              <ol class="breadcrumb float-sm-right">
                <li class="breadcrumb-item"><a href="#">Home</a></li>
                <li class="breadcrumb-item active">employee</li>
              </ol>
            </div><!-- /.col -->
          </div><!-- /.row -->
        </div><!-- /.container-fluid -->
      </div>
      <!-- /.content-header -->

      <!-- Main content -->
      <section class="content">
        <div class="container-fluid">
          <h2 style="text-align: center">Quản trị nhân viên</h2>
          <div class="jumbotron container">
            <div class="row form-group">
              <div class="col-sm-3">
                <label for="department-code">Mã phòng ban</label>
              </div>
              <div class="col-sm-9">
                <input type="text" id="input-department-code" placeholder="Mã phòng ban" class="form-control" />
              </div>
            </div>
            <div class="row form-group">
              <div class="col-sm-3">
                <label for="employee-code">Mã nhân viên</label>
              </div>
              <div class="col-sm-9">
                <input type="text" id="input-employee-code" placeholder="Mã nhân viên" class="form-control" />
              </div>
            </div>
            <div class="row form-group">
              <div class="col-sm-3">
                <label for="employee-name">Tên nhân viên</label>
              </div>
              <div class="col-sm-9">
                <input type="text" id="input-employee-name" placeholder="Tên nhân viên" class="form-control" />
              </div>
            </div>
            <div class="row form-group">
              <div class="col-sm-3">
                <label for="position">Chức vụ</label>
              </div>
              <div class="col-sm-9">
                <input type="text" id="input-position" placeholder="Chức vụ" class="form-control" />
              </div>
            </div>
            <div class="row form-group">
              <div class="col-sm-3">
                <label for="gender">Giới tính</label>
              </div>
              <div class="col-sm-9">
                <input type="text" id="input-gender" placeholder="Giới tính" class="form-control" />
              </div>
            </div>
            <div class="row form-group">
              <div class="col-sm-3">
                <label for="birthday">Ngày sinh</label>
              </div>
              <div class="col-sm-9">
                <input type="text" id="input-birthday" placeholder="dd/MM/yyyy" class="form-control" />
              </div>
            </div>
            <div class="row form-group">
              <div class="col-sm-3">
                <label for="address">Địa chỉ</label>
              </div>
              <div class="col-sm-9">
                <input type="text" id="input-address" placeholder="Địa chỉ" class="form-control" />
              </div>
            </div>
            <div class="row form-group">
              <div class="col-sm-3">
                <label for="phone-number">Số điện thoại</label>
              </div>
              <div class="col-sm-9">
                <input type="text" id="input-phone-number" placeholder="Số điện thoại" class="form-control" />
              </div>
            </div>
            <div class="row pull-right">
              <div class="col-sm-12 d-flex justify-content-around">
                <button class="btn btn-primary" id="create-employee">
                  Tạo nhân viên
                </button>
                <button id="update-employee" class="btn btn-info">
                  Cập nhật nhân viên
                </button>
                <button class="btn btn-danger" id="delete-all-employee">
                  Xóa tất cả nhân viên
                </button>
              </div>
            </div>
          </div>
          <table class="table table-bordered table-striped table-hover text-center" id="employee-table">
            <thead>
              <tr>
                <th>STT</th>
                <th>Mã nhân viên</th>
                <th>Tên nhân viên</th>
                <th>Chức vụ</th>
                <th>Giới tính</th>
                <th>Ngày sinh</th>
                <th>Địa chỉ</th>
                <th>Số điện thoại</th>
                <th>Mã phòng ban</th>
                <th>Action</th>
              </tr>
            </thead>
            <tbody></tbody>
          </table>
          <!-- Modal -->
          <div class="modal fade" id="modal-delete-employee">
            <div class="modal-dialog">
              <div class="modal-content">
                <div class="modal-header">
                  <h5 class="modal-title text-danger">Xác nhận xóa nhân viên</h5>
                  <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                  </button>
                </div>
                <div class="modal-body">
                  <h6 class="text-danger">Bạn có chắc muốn xóa nhân viên</h6>
                </div>
                <div class="modal-footer">
                  <button type="button" class="btn btn-secondary" data-dismiss="modal">
                    Close
                  </button>
                  <button type="button" class="btn btn-danger" id="delete-employee">
                    Delete
                  </button>
                </div>
              </div>
            </div>
          </div>
          <!-- Modal -->
          <div class="modal fade" id="modal-delete-all-employee">
            <div class="modal-dialog">
              <div class="modal-content">
                <div class="modal-header">
                  <h5 class="modal-title text-danger">Xác nhận xóa tất cả nhân viên</h5>
                  <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                  </button>
                </div>
                <div class="modal-body">
                  <h6 class="text-danger">Bạn có chắc muốn xóa tất cả nhân viên</h6>
                </div>
                <div class="modal-footer">
                  <button type="button" class="btn btn-secondary" data-dismiss="modal">
                    Close
                  </button>
                  <button type="button" class="btn btn-danger" id="confirm-delete-all-employee">
                    Delete
                  </button>
                </div>
              </div>
            </div>
          </div>
        </div><!-- /.container-fluid -->
      </section>
      <!-- /.content -->
      <!-- /.content-wrapper -->
    </div>
  </div>
  <footer class="main-footer">
    <strong>Copyright &copy; 2014-2021 <a href="https://adminlte.io">AdminLTE.io</a>.</strong>
    All rights reserved.
    <div class="float-right d-none d-sm-inline-block">
      <b>Version</b> 3.1.0
    </div>
  </footer>
  <!-- jQuery -->
  <script src="plugins/jquery/jquery.min.js"></script>
  <!-- jQuery UI 1.11.4 -->
  <script src="plugins/jquery-ui/jquery-ui.min.js"></script>
  <!-- Bootstrap 4 -->
  <script src="plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
  <!-- DataTables  & Plugins -->
  <script src="plugins/datatables/jquery.dataTables.min.js"></script>
  <script src="plugins/datatables-bs4/js/dataTables.bootstrap4.min.js"></script>
  <!-- SweetAlert2 -->
  <script src="plugins/sweetalert2/sweetalert2.min.js"></script>
  <!-- Toastr -->
  <script src="plugins/toastr/toastr.min.js"></script>
  <!-- AdminLTE App -->
  <script src="dist/js/adminlte.js"></script>
  <script src="./src/employee.js"></script>
</body>

</html>